Namespace CsvDataProvider
    Public NotInheritable Class CsvConnection
        Implements Extensibility.Data.IDbConnection

        Private _localizedName As String

        Public Sub New()
            _localizedName = "Csv"
        End Sub


        Public Sub New(ByVal localizeName As String)
            _localizedName = localizeName
        End Sub


#Region "IDbConnection Members"

        Public Property ConnectionString() As String Implements Extensibility.Data.IDbConnection.ConnectionString
            Get
                Return String.Empty
            End Get
            Set(ByVal value As String)
            End Set
        End Property

        Public ReadOnly Property ConnectionTimeout() As Integer _
            Implements Extensibility.Data.IDbConnection.ConnectionTimeout
            Get
                Throw New NotImplementedException()
            End Get
        End Property

        Public Function BeginTransaction() As Extensibility.Data.IDbTransaction _
            Implements Extensibility.Data.IDbConnection.BeginTransaction
            Return Nothing
        End Function

        Public Sub Open() Implements Extensibility.Data.IDbConnection.Open

        End Sub

        Public Sub Close() Implements Extensibility.Data.IDbConnection.Close
            Dispose()
        End Sub

        Public Function CreateCommand() As Extensibility.Data.IDbCommand _
            Implements Extensibility.Data.IDbConnection.CreateCommand
            Return New CsvCommand(String.Empty)
        End Function

        Public Property DataProviderService() As Extensibility.Data.IDataProviderService _
            Implements Extensibility.Data.IDbConnection.DataProviderService
            Get
                Return Nothing
            End Get
            Set(ByVal value As Extensibility.Data.IDataProviderService)

            End Set
        End Property

#End Region


#Region "IExtension Members"

        Public ReadOnly Property LocalizedName() As String Implements Extensibility.IExtension.LocalizedName
            Get
                Return _localizedName
            End Get
        End Property

        Public Sub SetConfiguration(ByVal configurationSettings As System.Collections.Specialized.NameValueCollection) _
            Implements Extensibility.IExtension.SetConfiguration

        End Sub

#End Region


#Region " IDisposable Support "

        ' This code added by Visual Basic to correctly implement the disposable pattern.
        Private disposedValue As Boolean = False

        Public Sub Dispose() Implements IDisposable.Dispose
            ' Do not change this code.  Put cleanup code in Dispose(ByVal disposing As Boolean) above.
            Dispose(True)
            GC.SuppressFinalize(Me)
        End Sub

        Protected Sub Dispose(ByVal disposing As Boolean)
        End Sub

#End Region
    End Class
End Namespace